Bug 448345 - a2ps: Hebrew fonts moved (again)
a2ps: Hebrew fonts moved (again)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: a2ps (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-26 02:05 EDT by Dan Kenigsberg
Modified: 2008-06-11 00:38 EDT (History)
1 user (show)

See Also:
Fixed In Version: 4.14-5.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-11 00:38:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a2ps should include the new path to Hebrew fonts (727 bytes, patch)
2008-05-26 02:05 EDT, Dan Kenigsberg
no flags Details | Diff

  None (edit)
Description Dan Kenigsberg 2008-05-26 02:05:02 EDT
Description of problem:
Culmus (Hebrew) fonts not found when running a2ps in Hebrew locale.

Version-Release number of selected component (if applicable):
a2ps-4.13b-71.fc9

How reproducible:
Always

Steps to Reproduce:
1. In Hebrew locale (e.g. LC_ALL=he_IL), or with -X iso8
2. Run a2ps
  
Actual results:
a2ps: cannot find file `MiriamMonoCLM-Book.afm': No such file or directory

Expected results:
Hebrew PostScript

Additional info:
This is very similar to bug 174304, only that this time, the font location has
changed, not its name.
Comment 1 Dan Kenigsberg 2008-05-26 02:05:02 EDT
Created attachment 306644 [details]
a2ps should include the new path to Hebrew fonts
Comment 2 Patrice Dumas 2008-05-26 07:13:03 EDT
This is fixed in rawhide, in a2ps-4.14-4. 
Tim, what about pushing the update to F-9?
Comment 3 Tim Waugh 2008-05-29 12:36:38 EDT
Yes, will do.
Comment 4 Fedora Update System 2008-05-29 12:37:16 EDT
a2ps-4.14-5.fc9 has been submitted as an update for Fedora 9
Comment 5 Dan Kenigsberg 2008-05-29 17:23:27 EDT
thanks
Comment 6 Fedora Update System 2008-05-30 22:16:45 EDT
a2ps-4.14-5.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update a2ps'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-4782
Comment 7 Tim Waugh 2008-06-09 06:01:54 EDT
Can you please confirm whether this update works for you?
Comment 8 Dan Kenigsberg 2008-06-09 13:59:53 EDT
I can, and I do :-)
Thanks.
Comment 9 Fedora Update System 2008-06-11 00:38:14 EDT
a2ps-4.14-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.